Create one asset
curl --request POST \
--url https://api-v2.tryadvocate.com/rest/assets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"caseId": "<string>",
"assetType": "<string>",
"fields": [
{
"fieldType": "<string>",
"value": {}
}
]
}
'import requests
url = "https://api-v2.tryadvocate.com/rest/assets"
payload = {
"caseId": "<string>",
"assetType": "<string>",
"fields": [
{
"fieldType": "<string>",
"value": {}
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
caseId: '<string>',
assetType: '<string>',
fields: [{fieldType: '<string>', value: {}}]
})
};
fetch('https://api-v2.tryadvocate.com/rest/assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"caseId": "<string>",
"displayName": "<string>",
"assetType": "<string>",
"documents": [
"<string>"
],
"fields": [
{
"fieldType": "<string>",
"value": {},
"key": "<string>",
"label": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"metadata": {}
}Assets
Create one asset
POST
/
rest
/
assets
Create one asset
Authorizations
Service account token (live_ or test_ prefix)
Body
application/json
⌘I